X2Go Bug report logs - #422
Windows PulseAudio 3.0 and later fail to start due to missing cookie

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Thu, 30 Jan 2014 00:35:01 UTC

Severity: normal

Tags: build-win32, pending

Found in version 4.0.1.3

Fixed in version 4.0.2.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Thu, 30 Jan 2014 00:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 30 Jan 2014 00:35:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: submit@bugs.x2go.org
Subject: Windows PulseAudio 3.0 and later fail to start due to missing cookie
Date: Wed, 29 Jan 2014 19:32:51 -0500
Package: x2goclient
Version: 4.0.1.3

X2Go Client 4.0.1.3 for for Windows is bundled with PulseAudio 1.1. If
you replace 1.1 with 3.0 or later (2.0 was not tested), the
.pulse-cookie file is not created and therefore pulseaudio.exe either
fails to start or repeatedly restarts.

The bottom line is that sound will not work in Windows X2go Client
with these newer versions of PulseAudio.

The simple workaround is to run X2Go Client with PulseAudio 1.1 once
and then exit x2goclient. The cookie will be present even after
x2goclient is closed. Newer versions of PulseAudio can then use that
cookie.


These are my full test results for what files are generated with
different versions of PulseAudio. They were tested on windows 7 32-bit
SP1 Professional (with all important and recommended windows updates
installed.)  "mothership-7-32" is my test VM's hostname.

Note that I tested PulseAudio 1.1 (and 1 or 2 newer versions) under
Windows 8.1 64-bit Professional (with all important and recommended
windows updates installed) and the results were the same.

1.1:
Under C:\Users\mike\.x2go\pulse\ :
.pulse-cookie
.esd_auth
.pulse\
.pulse\mothership-7-32-runtime\
tmp.Hp2820\
tmp.Hp2820\config.pa

3.0
Under C:\Users\mike\.x2go\pulse\ :
.pulse\
.pulse\mothership-7-32-runtime\
tmp.Hp1572
tmp.Hp1572\config.pa
(Pulseaudio.exe does not appear to be running at all, but maybe what
happened under 4.99.2 is happening.)

4.0:
Under C:\Users\mike\.x2go\pulse\ :
.pulse\
.pulse\mothership-7-32-runtime\
.pulse\mothership-7-32-runtime\pid
tmp.Hp2656
tmp.Hp2656\config.pa
Also, windows complains that "pulseaudio.exe has stopped working". And
it does so repeatedly,.This suggests that x2goclient.exe keeps on
trying to restart pulseaudio.exe

4.99.2:
Under C:\Users\mike\.x2go\pulse\ :
.pulse\
.pulse\mothership-7-32-runtime\
.pulse\mothership-7-32-runtime\pid (keeps on being created and then
disappearing because pulseaudio.exe keeps stopping and starting)
tmp.Hp3716
tmp.Hp3716\config.pa

-Mike#2


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Thu, 27 Feb 2014 04:05:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 27 Feb 2014 04:05:01 GMT) (full text, mbox, link).


Message #10 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 422@bugs.x2go.org
Date: Wed, 26 Feb 2014 23:01:01 -0500
Status Update:

While investigating this bug, I filed PulseAudio bug 75418.
https://bugs.freedesktop.org/show_bug.cgi?id=75418
It might be related or involve a similar fix, but it is not the cause
of this bug because the Windows X2Go Client does not set
XDG_CONFIG_HOME for the pulseaudio.exe process.

PulseAudio bug 75006 is also worth noting:
https://bugs.freedesktop.org/show_bug.cgi?id=75006
Currently, the Windows X2Go Client does not set PULSE_COOKIE. It
instead sets overrides USERPROFILE and expects the cookie to be
created relative to it.


Added tag(s) build-win32. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 28 Feb 2014 12:00:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Wed, 12 Mar 2014 04:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Mar 2014 04:10:02 GMT) (full text, mbox, link).


Message #17 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 422@bugs.x2go.org
Subject: Status Update
Date: Wed, 12 Mar 2014 00:08:55 -0400
[Message part 1 (text/plain, inline)]
Status Update

1.
x2goclient's 4.0.2.0 2014.03.05 nightly build was the last nightly
build to be built with --console. So I ran that build with --debug.

I've attached the output. I wonder if x2goclient is detecting that
pulseaudio.exe stopped and then restarting it, or if x2goclient is
forcefully restarting pulseaudio.exe? I'm leaning towards the former
explanation. Other than that though, the logs do not help me debug
this bug.

2.
It seems likely that this PulseAudio commit (which made it into
PulseAudio 3.0) triggered this bug, since it changed the logic for
cookie creation, in addition to specifying a different default cookie
path.
http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=87ae8307057944662bb8a4b638f56fa980eef48a

Most likely the bug/incompatibility lies in one or both of these files:
src/pulsecore/authkey.c
src/pulse/client-conf.c

I plan on compiling pulseaudio before and after this commit to
determine empirically if this commit triggered this
bug/incompatibility.
[pulse-1.1 - no existing cookie.txt (text/plain, attachment)]
[pulse-5.0 - no existing cookie.txt (text/plain, attachment)]
[pulse-5.0 - existing cookie.txt (text/plain, attachment)]
[pulse-1.1 - existing cookie.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Wed, 12 Mar 2014 04:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 12 Mar 2014 04:35:01 GMT) (full text, mbox, link).


Message #22 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 422@bugs.x2go.org
Subject: Also
Date: Wed, 12 Mar 2014 00:31:50 -0400
Also,

I forgot to write up these notes earlier. These are notes on me trying
to debug this bug. These notes suggest that this bug is not a bug in
PulseAudio, but rather an incompatibility between X2Go Client and
PulseAudio.


When pulseaudio.exe (3.0 and later) is launched from the command line,
there is different behavior:
1. The cookie is created. By default, it is created at
C:\Users\mike\.config\pulse\cookie
2. pulseaudio.exe stays running.

I use the same command that x2go uses (with an actual x2go config file
generated for pulseaudio):

pulseaudio.exe -n -F c:\path-to-config.pa

I also tried setting the environment variables to the same ones that
x2goclient.exe sets. Still, the cookie was created and pulseaudio.exe
stayed running.
(I do not have the exact env vars on me at the moment. However, I
viewed them using Process Explorer.)
Since x2goclient.exe overrides USERPROFILE, that was one of the env
vars I set. The cookie was created relative to it, for example,
C:\Users\mike\.x2go\pulse\.config\pulse\cookie

Maybe the use of forward slashes vs backslashes, or the use of the 8.3
format for some of the path values is to blame. However, I used the
same exact values for those env vars on the command line, and still
the behavior differed from when x2goclient.exe launches pulseaudio.exe


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Thu, 13 Mar 2014 04:20:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 13 Mar 2014 04:20:01 GMT) (full text, mbox, link).


Message #27 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 422@bugs.x2go.org
Subject: Commit 7fad67c4 is the culprit
Date: Thu, 13 Mar 2014 00:17:20 -0400
After repeated testing of PulseAudio builds leading up to PulseAudio
3.0, I determined that this commit introduced this
bug/incompatibility:
7fad67c46188991c04a42b190349ebb3f4a1756f
2012-05-15 17:06:53 (GMT)
http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=7fad67c46188991c04a42b190349ebb3f4a1756f


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Thu, 13 Mar 2014 04:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to Stefan Baur <newsgroups.mail2@stefanbaur.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 13 Mar 2014 04:50:02 GMT) (full text, mbox, link).


Message #32 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Stefan Baur <newsgroups.mail2@stefanbaur.de>
To: Michael DePaulo <mikedep333@gmail.com>, 422@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#422: Commit 7fad67c4 is the culprit
Date: Thu, 13 Mar 2014 05:43:57 +0100
Am 13.03.2014 05:17, schrieb Michael DePaulo:
> After repeated testing of PulseAudio builds leading up to PulseAudio
> 3.0, I determined that this commit introduced this
> bug/incompatibility:
> 7fad67c46188991c04a42b190349ebb3f4a1756f
> 2012-05-15 17:06:53 (GMT)
> http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=7fad67c46188991c04a42b190349ebb3f4a1756f

That's a nice birthday present. ;-)
So how do we move forward from here?
Can we work around this issue by patching x2goclient, or should the
pulseaudio guys revert/change this commit?

-Stefan


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Thu, 13 Mar 2014 05:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 13 Mar 2014 05:15:02 GMT) (full text, mbox, link).


Message #37 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: Stefan Baur <newsgroups.mail2@stefanbaur.de>
Cc: 422@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#422: Commit 7fad67c4 is the culprit
Date: Thu, 13 Mar 2014 01:12:16 -0400
[Message part 1 (text/plain, inline)]
Actually, I spoke too soon.

7fad67c46188991c04a42b190349ebb3f4a1756f appears to have introduced an
even worse regression. The regression that prevents me from starting
pulseaudio.exe altogether. Specifically, I cannot even start it from
the command line. This regression occurs even when the cookie already
exists. This regression precludes testing for our
bug/issue/incompatibility. It was obviously fixed by 3.0 final.

I can however confirm that its parent,
3e9cd3cfcf9998bebe0785bb4427b4a55db0128d , is not affected by either
this report's bug/issue/incompatibility (or the horrible regression
that 7fad67c46188991c04a42b190349ebb3f4a1756f introduced.)

I need to get to bed now. I'll test later revisions. I'll probably do
so tomorrow.

-Mike#2

On Thu, Mar 13, 2014 at 12:43 AM, Stefan Baur
<newsgroups.mail2@stefanbaur.de> wrote:
> Am 13.03.2014 05:17, schrieb Michael DePaulo:
>> After repeated testing of PulseAudio builds leading up to PulseAudio
>> 3.0, I determined that this commit introduced this
>> bug/incompatibility:
>> 7fad67c46188991c04a42b190349ebb3f4a1756f
>> 2012-05-15 17:06:53 (GMT)
>> http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=7fad67c46188991c04a42b190349ebb3f4a1756f
>
> That's a nice birthday present. ;-)
> So how do we move forward from here?
> Can we work around this issue by patching x2goclient, or should the
> pulseaudio guys revert/change this commit?
>
> -Stefan
[3e9cd3cfcf9998bebe0785bb4427b4a55db0128d.output.txt (text/plain, attachment)]
[7fad67c46188991c04a42b190349ebb3f4a1756f.output.txt (text/plain, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Fri, 14 Mar 2014 05:25:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Mar 2014 05:25:01 GMT) (full text, mbox, link).


Message #42 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 422@bugs.x2go.org
Subject: Just Create the .config/pulse/ dir!
Date: Fri, 14 Mar 2014 01:24:58 -0400
After spending lots of time debugging this issue, largely involving
comparing the debug output from pulseaudio.exe, I believe I've
determined a simple fix.

I observed that if I create this directory ahead of time, the
pulseaudio.exe process launched by x2goclient.exe creates the "cookie"
file under it & stays running.
C:\Users\mike\.x2go\pulse\.config\pulse\

Therefore, I believe a simple fix for this bug is for x2goclient.exe,
regardless of what version of pulseaudio.exe is installed, to:
1. Create that directory (if it DNE).
2. Include logic around onmainwindow.cpp:5149 to use the cookie at
that path. If the cookie is not in that location, fall back to
".pulse-cookie". We already have this logic for Linux.

I plan to write, test, and (hopefully) commit this fix tomorrow night.

Note that we cannot override the cookie location due to PulseAudio Bug 75006:
https://bugs.freedesktop.org/show_bug.cgi?id=75006

Note that although I am not sure why PulseAudio.exe is incapable of
creating this file when launched by x2goclient.exe, compared to when
it is launched by cmd.exe, I believe this is still safe approach to
solving the bug.
I say this because PulseAudio devs's comments & commit messages make
it clear that they support both the directory already existing, and
the directory not already existing.
For example:
http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/src/pulsecore/authkey.c?id=a91359956f166005749247eaa5f4001a4555689d


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Fri, 14 Mar 2014 11:20:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 14 Mar 2014 11:20:02 GMT) (full text, mbox, link).


Message #47 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Michael DePaulo <mikedep333@gmail.com>, 422@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#422: Just Create the .config/pulse/ dir!
Date: Fri, 14 Mar 2014 11:15:40 +0000
[Message part 1 (text/plain, inline)]
Hi Michael,

On  Fr 14 Mär 2014 06:24:58 CET, Michael DePaulo wrote:

> After spending lots of time debugging this issue, largely involving
> comparing the debug output from pulseaudio.exe, I believe I've
> determined a simple fix.
>
> I observed that if I create this directory ahead of time, the
> pulseaudio.exe process launched by x2goclient.exe creates the "cookie"
> file under it & stays running.
> C:\Users\mike\.x2go\pulse\.config\pulse\
>
> Therefore, I believe a simple fix for this bug is for x2goclient.exe,
> regardless of what version of pulseaudio.exe is installed, to:
> 1. Create that directory (if it DNE).
> 2. Include logic around onmainwindow.cpp:5149 to use the cookie at
> that path. If the cookie is not in that location, fall back to
> ".pulse-cookie". We already have this logic for Linux.

Gosh! Very good work!!! Let's go that approach.

> I plan to write, test, and (hopefully) commit this fix tomorrow night.
>
> Note that we cannot override the cookie location due to PulseAudio Bug 75006:
> https://bugs.freedesktop.org/show_bug.cgi?id=75006
>
> Note that although I am not sure why PulseAudio.exe is incapable of
> creating this file when launched by x2goclient.exe, compared to when
> it is launched by cmd.exe, I believe this is still safe approach to
> solving the bug.
> I say this because PulseAudio devs's comments & commit messages make
> it clear that they support both the directory already existing, and
> the directory not already existing.
> For example:
> http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/src/pulsecore/authkey.c?id=a91359956f166005749247eaa5f4001a4555689d

Maybe the pulse directory does not get created because of .config  
being missing. The pulsecore/core-utils.c contains a function name  
pa_make_secure_dir which will create a directory for the pulse  
cookies, but it (AFAICT) assumes that the parent dir (.config) already  
exists.

It also may be that we don't set XDG variables not appropriately [1].  
The pulseaudio patch you mention earlier [2] alludes that, too.

[1] http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html
[2]  
http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=7fad67c46188991c04a42b190349ebb3f4a1756f

I guess assuring that the .config/pulse dir exists is a simple  
approach and we should go that instead of playing with XDG env vars  
(which are part of the freedesktop specs and X2Go Client is not about  
being compliant with freedesktop specs if run on Windows).

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Sun, 16 Mar 2014 15:30:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 16 Mar 2014 15:30:02 GMT) (full text, mbox, link).


Message #52 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Mike DePaulo <mikedep333@gmail.com>
To: 422-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 422@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sun, 16 Mar 2014 16:29:30 +0100 (CET)
tag #422 pending
fixed #422 4.0.2.0
thanks

Hello,

X2Go issue #422 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=acbc897

The issue will most likely be fixed in src:x2goclient (4.0.2.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit acbc89719808a34f21888f8b66110d4ff79bd5f5
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sun Mar 16 11:29:13 2014 -0400

    Update comment for last commit and add to debian/changelog. (Fixes #422)

diff --git a/debian/changelog b/debian/changelog
index 30f8182..90d98ef 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -50,6 +50,11 @@ x2goclient (4.0.2.0-0x2go1) UNRELEASED; urgency=low
   * New upstream version (4.0.2.0):
     - Decrease HelpDialog's tab width from 320 to 30
       (the width of 10 spaces.) (Fixes: #453)
+    - Windows: Fix compatibility with PulseAudio 3.0 & later through
+      new cookie handling. (Fixes: #422)
+    - Windows: Upgrade included PulseAudio from 1.1 to 5.0.
+      The 5.0 build is patched for X2Go bug #363. and available here:
+      https://build.opensuse.org/project/show/home:mikedep333:branches:home:mkbosmans:mingw32:pulseaudio
 
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 22 Jan 2014 09:20:08 +0100
 


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 16 Mar 2014 15:30:02 GMT) (full text, mbox, link).


Marked as fixed in versions 4.0.2.0. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 16 Mar 2014 15:30:02 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#422. (Sun, 16 Mar 2014 15:30:03 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Sun, 06 Apr 2014 19:15:01 GMT) (full text, mbox, link).


Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 06 Apr 2014 19:15:02 GMT) (full text, mbox, link).


Message #64 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Michael DePaulo <mikedep333@gmail.com>
To: 422@bugs.x2go.org
Subject: I simplified the approach
Date: Sun, 6 Apr 2014 15:13:33 -0400
TLDR: X2Go Client 4.0.2.0 will now keep on using the old cookie path
like "C:\Users\mike\.x2go\pulse\.pulse-cookie", same as it did with
4.0.1.3, no matter what version of PulseAudio is in use.

Tanuk (the lead developer on PulseAudio) clarified that pulseaudio.exe
(the PulseAudio server) isn't supposed to respect %PULSE_COOKIE%, only
the client libs (on the x2go server) are supposed to respect it. (I
should have read the pulseaudio (1) manpage more closely.) Instead,
pulseaudio.exe respects "auth-cookie", that we need to specify for
"module-native-protocol-tcp" in config.pa. "auth-cookie" doesn't seem
to be in the manpages, but it is specified in the 2nd link below.
https://bugs.freedesktop.org/show_bug.cgi?id=75006
http://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/Modules/#index22h3

So I updated X2Go Client's Windows cookie handling logic to specify
old the path for PulseAudio 3.0 & later. I then removed the logic to
accommodate the new path.

The end result is that when X2GoClient 4.0.2.0 is released, we will
keep using the old cookie path, thus simplifying things for any power
users who need to manage their .x2go directory.

This change is in commits:
a6ab2c7879e3fb23edee2acaa4e3e21d978aa201
034afc36143134ce0fe272422bd410ca5125834e

And I've tested this change successfully.


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#422; Package x2goclient. (Thu, 10 Apr 2014 11:55:05 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Thu, 10 Apr 2014 11:55:05 GMT) (full text, mbox, link).


Message #69 received at 422@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 422-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 422@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 10 Apr 2014 13:52:13 +0200 (CEST)
close #422
thanks

Hello,

we are very hopeful that X2Go issue #422 reported by you
has been resolved in the new release (4.0.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=cbe900f245206ad9bd62d0fbaf226da1b3ffc44e;hp=f7cdada8c57c45ee9ea3b6c42bd680fae26d728c

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.2.0-0x2go1
Status: RELEASE
Date: Thu, 10 Apr 2014 13:47:56 +0200
Fixes: 138 349 422 440 446 448 453
Changes: 
 x2goclient (4.0.2.0-0x2go1) RELEASED; urgency=low
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.0.2.0):
     - Revrite SSH Classes to support libssh fix.
     - Add Class HelpDialog to show options in scroll area.
     - Fix authentication on SSH Broker with key + passphrase.
     - Set modmap timer timeout to 10 sec on Mac.
     - Fix running xmodmap if X2Go Client not started from terminal.
     - Setting keyboard modifiers with xmodmap.
     - Fix multimonitor support on Linux.
     - Display more version info. Parameters --version, --git, --changelog.
     - Don't show GUI dialog for --version, --help, etc, if started
       from terminal on linux and mac.
     - If no user in session config, display system username in pass form.
     - Check if txt/changelog and txt/git exist on config phase.
       Rename option "--git" to "--git-info".
     - Change x2goclient.nsi for nightly builds.
 .
   [ Josh Lukens ]
   * New upstream version (4.0.2.0):
     - Switch to QNetworkAccessManager. Appropriately set content type
       header to "application/x-www-form-urlencoded" for HTTP post
       requests. (Fixes: #440, #138).
     - Fix copy+paste errors in QNetworkAccessManager code.
     - Provide support for dynamic authentication IDs. This is
       a requirement for using the broker client against brokers
       that use some sort of OTP authentication mechanism.
       (Fixes: #446).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.2.0):
     - Drop create_text.sh again, implement changelog copying
       in distro build files. Implement Git history creation for
       nightly builds in build scripts.
     - Rename txt/git to txt/git-info (make it compliant with cmdline
       options).
     - Allow starting shadow sessions from the command line with
       option --hidden being enabled. (Fixes: #349).
   * debian/control:
     + Build-depend on libssh-dev (>= 0.5.4-2).
     + Bump Standards: to 3.9.5. No changes needed.
   * debian/rules:
     + Copy debian/changelog into txt/ subfolder during dh_auto_configure.
     + Create txt/git-info files for ChangeLog.git if it exists.
   * x2goclient.spec:
     + Copy ChangeLog (or debian/changelog) into txt/ subfolder during
       %setup.
     + Copy ChangeLog.gitlog (if present) into txt/ subfolder during %setup.
     + B-R (epel-7): man2html-core (same as for Fedora builds).
 .
   [ Mike DePaulo ]
   * New upstream version (4.0.2.0):
     - Decrease HelpDialog's tab width from 320 to 30
       (the width of 10 spaces.) (Fixes: #453)
     - Windows: Fix compatibility with PulseAudio 3.0 & later through
       new cookie handling. (Fixes: #422)
     - Windows: Upgrade included PulseAudio from 1.1 to 5.0.
       The 5.0 build is patched for X2Go bug #363. and available here:
         https://build.opensuse.org/project/show/home:mikedep333:branches:home:\
         mkbosmans:mingw32:pulseaudio
     - Windows: Reapply KDE on Windows's patch for Pageant support to
       libssh 0.5.5. (Fixes: #448)


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Thu, 10 Apr 2014 11:55:11 GMT) (full text, mbox, link).


Notification sent to Michael DePaulo <mikedep333@gmail.com>:
Bug acknowledged by developer. (Thu, 10 Apr 2014 11:55:11 GMT) (full text, mbox, link).


Message sent on to Michael DePaulo <mikedep333@gmail.com>:
Bug#422. (Thu, 10 Apr 2014 11:55:13 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 09 May 2014 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 10 01:39:44 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.